package net.greenfieldtech.cloudonixsdk.cloudonixdialer.activities;

import android.os.Bundle;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.R;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.events.UpdateSettingsEvent;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.fragments.SettingsFragment;
import org.greenrobot.eventbus.EventBus;

/**
 * SettingsActivity.java
 * Activity for dialer settings
 * 
 * Authors:
 *   - Aleksei Dzis, 2016-08-03
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class SettingsActivity extends BaseActivity {

  @Override
  protected int getLayoutResource() {
    return R.layout.activity_settings;
  }

  @Override
  public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);

    enableBackButton();
    setTitle("Edit settings");

    getSupportFragmentManager()
        .beginTransaction()
        .replace(R.id.content_frame, new SettingsFragment())
        .commit();
  }

  @Override
  public void onBackPressed() {
    super.onBackPressed();
    EventBus.getDefault().postSticky(new UpdateSettingsEvent());
  }

}
