package net.greenfieldtech.cloudonixsdk.cloudonixdialer.api;

import androidx.annotation.NonNull;
import java.io.IOException;
import okhttp3.Interceptor;
import okhttp3.Request;
import okhttp3.Response;

/**
 * AppRequestInterceptor.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2019-10-03
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class AppRequestInterceptor implements Interceptor {

  @NonNull
  @Override
  public Response intercept(Chain chain) throws IOException {
    Request originalRequest = chain.request();
    Request newRequest = originalRequest.newBuilder()
        .build();
    return chain.proceed(newRequest);
  }

}