package net.greenfieldtech.cloudonixsdk.cloudonixdialer.models;

import java.util.Date;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils.DateUtils;

/**
 * RecentCall.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-04-20
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class RecentCall {

  private String userName;
  private String phoneNumber;
  private boolean isIncoming;
  private boolean isMissed;
  private boolean isDeclined;
  private boolean isViewed;
  private Date callDate;

  public RecentCall() {
  }

  public RecentCall(String userName, String phoneNumber, Date callDate) {
    this.userName = userName;
    this.phoneNumber = phoneNumber;
    this.callDate = callDate;
  }

  public String getUserName() {
    return userName;
  }

  public void setUserName(String userName) {
    this.userName = userName;
  }

  public String getPhoneNumber() {
    return phoneNumber;
  }

  public void setPhoneNumber(String phoneNumber) {
    this.phoneNumber = phoneNumber;
  }

  public String getCallDate() {
    return DateUtils.getDisplayDate(callDate);
  }

  public void setCallDate(Date callDate) {
    this.callDate = callDate;
  }

  public boolean isIncoming() {
    return isIncoming;
  }

  public void setIncoming(boolean incoming) {
    isIncoming = incoming;
  }

  public boolean isMissed() {
    return isMissed;
  }

  public void setMissed(boolean missed) {
    isMissed = missed;
  }

  public boolean isDeclined() {
    return isDeclined;
  }

  public void setDeclined(boolean declined) {
    isDeclined = declined;
  }

  public boolean isViewed() {
    return isViewed;
  }

  public void setViewed(boolean viewed) {
    isViewed = viewed;
  }
}
