package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils;

import net.greenfieldtech.cloudonixsdk.api.models.StatisticsData;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils.prefs.AppPrefs;
import net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils.prefs.AppPrefsKeys;

/**
 * Utils.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2016-04-21
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public class Utils {

  public static int getDuration(StatisticsData stats) {
    int duration = 0;
    if (stats != null) {
      duration = stats.duration;
    }
    return duration;
  }

  public static String convertTime(int duration) {
    StringBuilder builder = new StringBuilder();

    int minutes = duration / 60;
    if (minutes < 10) {
      builder.append("0" + minutes);
    } else {
      builder.append(minutes);
    }

    builder.append(":");

    int seconds = duration % 60;
    if (seconds < 10) {
      builder.append("0" + seconds);
    } else {
      builder.append(seconds);
    }
    return builder.toString();
  }

  public static boolean isRegistrationFree() {
    return AppPrefs.getInstance().getBoolean(AppPrefsKeys.USE_REGISTRATION_FREE);
  }

}
