package net.greenfieldtech.cloudonixsdk.cloudonixdialer.utils.prefs;

/**
 * PrefsInterface.java
 * 
 * Authors:
 *   - Alexander Rubanskiy, 2019-09-26
 * 
 * Copyright © 2015 GreenfieldTech 2015 Ltd. All rights reserved.
 * Copyright © 2018 Cloudonix Ltd. All rights reserved.
 * Copyright © 2019 Cloudonix Inc. All rights reserved.
 */
public interface PrefsInterface {

  int DEFAULT_INT_VALUE = -1;
  String DEFAULT_STRING_VALUE = "";
  boolean DEFAULT_BOOLEAN_VALUE = false;

  void putString(String key, String value);

  String getString(String key);

  String getString(String key, String defaultValue);

  void putInt(String key, int value);

  int getInt(String key);

  int getInt(String key, int defaultValue);

  void putLong(String key, long value);

  long getLong(String key);

  long getLong(String key, int defaultValue);

  void putBoolean(String key, boolean value);

  boolean getBoolean(String key);

  boolean getBoolean(String key, boolean defaultValue);

  void clearCurrentPrefs(String key);

  void clear();

}